package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 市电峰谷策略
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class BasePriceStrategyView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(0_是;1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("策略名称")
    @TableField
    private String policyName;

    @XText("适用地区编码")
    @TableField
    private Integer areaCode;

    @XText("年份")
    @TableField
    private String strategyYear;

    @XText("是否固定电价(0_是;1_否)")
    @TableField
    private Integer isFixedPrice;

    @XText("固定电价")
    @TableField
    private BigDecimal fixedElectricityPrice;

    /*-----------------------------扩展字段-----------------------------*/

    @XText("是否固定电价")
    @TableField
    private String isFixedPriceValue;
}
