package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 中短期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class SpaceOptimizeMidWellheadView implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(0_是;1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("中短期优化周期ID")
    @TableField
    private String midPeriodId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;
}
